.main-page-container{
    max-width: 1200px;
    margin: 0 auto;
    width: 100%;
}

.header__mainpage{
    height: 56px;
    width: 100%;
    display: flex;
    justify-content: space-between;
    margin-top: 24px;
}
.header__social{
    display: flex;
    gap: 6px;
    background: rgba(32, 32, 32, 1);
    padding: 6px;
    border-radius: 28px;
    width: fit-content;
}
.phone-num_text{
    display: flex;
    gap: 12px;
    align-items: center;
    color: #FF611E;
    font-size: 16px;
    width: fit-content !important;
    padding: 9px 12px;
    font-weight: 600;
    border-radius: 22px !important;
}
.header__social-item{
    background: white;
    height: 44px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.header__social-item:first-child{
    width: 44px;
}
.header__social-item:last-child{
    color: white;
    background-color: rgba(0, 195, 43, 1);
    gap: 12px;
    border-radius: 22px;
    width: 44px;
}
.header__logo span{
    font-size: 24px;
    font-weight: 700;
    line-height: 30px;
    color: rgba(255, 97, 30, 1);
}
.header__logo p{
    font-size: 16px;
    font-weight: 400;
    line-height: 20px;
}
/*  */
.main__info{
    display: flex;
    flex-wrap: wrap;
    gap: 36px;
    margin-top: 62px;
    margin-bottom: 62px;
}
/*  */
.main__info-item{
    position: relative;
    border-radius: 20px;
    height: 375px;
    width: calc(100% - 36px);
    max-width: 376px;
    overflow: hidden;
}
.main__info-item-front{
    z-index: 1;
    position: relative;
    height: 100%;
    text-align: center;
    backface-visibility: hidden;
    transition: transform 2s cubic-bezier(.2, .85, .4, 1.275);
}
.main__info-item__back{
    z-index: 0;
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
    transform: rotateY(-180deg);
    transition: transform 2s cubic-bezier(.2, .85, .4, 1.275);
}

.main__info-item img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 20px;
}
.main__info-item:hover .main__info-item__back{
    transform: rotateY(0deg);
    z-index: 2;
}

.main__info-item:hover .main__info-item-front{
    transform: rotateY(180deg);
    z-index: -1;
}

.main__info-item .container-text{
    position: absolute;
    bottom: 20px;
    z-index: 2;
    left: 20px;
}
.main__info-item .container-text .item-text{
    font-size: 24px;
    font-weight: 700;
    line-height: 30px;
    text-align: start;
    max-width: 280px;
    padding-right: 20px;
}
.main__info-item .container-text .child-text{
    font-size: 16px;
    font-weight: 400;
    line-height: 20px;
    padding-right: 10px;
}
.main__info-item-front .gradient{
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(180deg, rgba(23, 23, 23, 0) 47.5%, #171717 89.88%);
    opacity: 0.5;
}
.main__info-item__back-bg{
    background: rgba(32, 32, 32, 0.75);
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    backdrop-filter: blur(2px);

}
/* adaptiv */
@media(max-width:1199px){
    .main-page-container{
        padding: 0px 24px;
    }
    .phone__text{
        display: none;
    }
    .phone-num_text{
        max-width: 44px;
    }
}
@media(max-width:1100px){
    .main__info-item{
        width: 30%;
        height: 300px;
    }
    .main__info-item .container-text .item-text{
        font-size: 20px;
        max-width: 220px;
    }
}
@media(max-width:780px){
    .header__social-item span{
        display: none;
    }
    .header__social-item:last-child{
        padding: 10px;
    }
    .main__info{
        gap: 16px;
    }
    .main__info-item{
        width: calc(50% - 16px);
        height: 224px;
    }
    .main__info-item .container-text{
        bottom: 12px;
        left: 12px;
        display: flex;
        flex-direction: column;
        gap: 8px;
    }
    .main__info-item .container-text .item-text{
        font-size: 20px;
        max-width: 212px;
        line-height: 1;
    }
}
@media(max-width:450px){
    .main__info-item{
        width: 100%;
        height: 320px;
        border: 1px solid #202020;
        border-radius: 20px;
        overflow: hidden;
    }
    .header__mainpage{
        flex-direction: column;
        justify-content: center;
        align-items: center;
        height: unset;
    }
    .close_circle{
        right: 17px !important;
    }
    .main__info-item .main__info-item__back{
        transform: rotateY(0deg);
        z-index: 2;
    }
    
    .main__info-item .main__info-item-front{
        transform: rotateY(180deg);
        z-index: -1;
    }
    .main__info-item__back-bg{
        background: linear-gradient(180deg, rgba(23, 23, 23, 0) 47.5%, #171717 89.88%);
        backdrop-filter: unset;
    }
    .main__info-item__back-button{
        display: none;
    }
    .main__info{
        margin-top: 16px;
        margin-bottom: 16px;
    }
}
@media(max-width:380px) {
    .main__info-item .container-text .item-text{
        max-width: 212px;
    }
}
